This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 763040 - (GLUSTER-1308) [glusterfs-3.1.0qa3]: running create and delete in a loop parellely crashes glusterd
[glusterfs-3.1.0qa3]: running create and delete in a loop parellely crashes g...
Status: CLOSED NOTABUG
Product: GlusterFS
Classification: Community
Component: cli (Show other bugs)
3.1-alpha
All Linux
low Severity high
: ---
: ---
Assigned To: Pranith Kumar K
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-06 07:31 EDT by Raghavendra Bhat
Modified: 2015-12-01 11:45 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
script which caused this bug (225 bytes, text/x-sh)
2010-08-06 04:34 EDT, Raghavendra Bhat
no flags Details

  None (edit)
Description Raghavendra Bhat 2010-08-06 04:34:04 EDT
Created attachment 277 [details]
sample perl script that tries to "use Expect;"
Comment 1 Raghavendra Bhat 2010-08-06 04:35:04 EDT
Running create and delete in aloop parellely  made glusterd crash. This is the backtrace of the core generated.

Core was generated by `glusterd --debug'.
Program terminated with signal 11, Segmentation fault.
[New process 18958]
[New process 18963]
[New process 18959]
#0  0x0000000000632e70 in ?? ()
(gdb) bt
#0  0x0000000000632e70 in ?? ()
#1  0x00002aaaaaf3ba37 in rpcsvc_conn_destroy (conn=0x7790c8) at ../../../../rpc/rpc-lib/src/rpcsvc.c:650
#2  0x00002aaaaaf3bcc0 in rpcsvc_conn_unref (conn=0x7790c8) at ../../../../rpc/rpc-lib/src/rpcsvc.c:756
#3  0x00002aaaaaf3d977 in rpcsvc_submit_generic (req=0x2aaab6770038, proghdr=0x7fffde0edfd0, hdrcount=0, payload=0x0, payloadcount=0, 
    iobref=0x732608) at ../../../../rpc/rpc-lib/src/rpcsvc.c:1567
#4  0x00002aaaaaf3d9d1 in rpcsvc_error_reply (req=0x2aaab6770038) at ../../../../rpc/rpc-lib/src/rpcsvc.c:1584
#5  0x00002aaaaaf3cd95 in rpcsvc_handle_rpc_call (conn=0x7790c8, msg=0x7792f8) at ../../../../rpc/rpc-lib/src/rpcsvc.c:1201
#6  0x00002aaaaaf3cf56 in rpcsvc_notify (trans=0x7798b8, mydata=0x7790c8, event=RPC_TRANSPORT_MSG_RECEIVED, data=0x7792f8)
    at ../../../../rpc/rpc-lib/src/rpcsvc.c:1241
#7  0x00002aaaaaf4202b in rpc_transport_notify (this=0x7798b8, event=RPC_TRANSPORT_MSG_RECEIVED, data=0x7792f8)
    at ../../../../rpc/rpc-lib/src/rpc-transport.c:1239
#8  0x00002aaaac588753 in socket_event_poll_in (this=0x7798b8) at ../../../../../rpc/rpc-transport/socket/src/socket.c:1406
#9  0x00002aaaac588a47 in socket_event_handler (fd=14, idx=3, data=0x7798b8, poll_in=1, poll_out=0, poll_err=0)
    at ../../../../../rpc/rpc-transport/socket/src/socket.c:1512
#10 0x00002aaaaad03a28 in event_dispatch_epoll_handler (event_pool=0x62b1f8, events=0x6341c8, i=0) at ../../../libglusterfs/src/event.c:812
#11 0x00002aaaaad03c09 in event_dispatch_epoll (event_pool=0x62b1f8) at ../../../libglusterfs/src/event.c:876
#12 0x00002aaaaad03f1f in event_dispatch (event_pool=0x62b1f8) at ../../../libglusterfs/src/event.c:984
#13 0x0000000000405032 in main (argc=2, argv=0x7fffde0ee4a8) at ../../../glusterfsd/src/glusterfsd.c:1273
Comment 2 Raghavendra Bhat 2010-08-06 07:31:03 EDT

    
Comment 3 Pranith Kumar K 2010-08-27 07:18:22 EDT
rpcsvc_conn_destroy
rpcsvc_conn_unref functions are removed from the code base.

Note You need to log in before you can comment on or make changes to this bug.